chiark / gitweb /
check wip
authorIan Jackson <ijackson@chiark.greenend.org.uk>
Fri, 4 Nov 2016 13:38:51 +0000 (13:38 +0000)
committerIan Jackson <ijackson@chiark.greenend.org.uk>
Fri, 4 Nov 2016 13:38:51 +0000 (13:38 +0000)
check [new file with mode: 0755]

diff --git a/check b/check
new file mode 100755 (executable)
index 0000000..1524fde
--- /dev/null
+++ b/check
@@ -0,0 +1,12 @@
+#!/bin/bash
+set -e
+set -o pipefail
+rm -rf stunt
+mkdir stunt
+cd stunt
+git init
+git commit --allow-empty -m 'Test object'
+head=`git rev-parse HEAD`
+perl -ne 'chomp; print "create refs/tags/$_ '$head'\n" or die $!' \
+| tee /dev/tty \
+| git update-ref --stdin